//  Beispiel 6.5.3 "A/D Wandler 10 bit"
//  
//  In diesem Beispiel wird die am internen 10bit ADC gemessene Spannung auf dem OLED angezeigt.
//
//  Unter Verwendung der IoT Brick Library

#include <all_IoT.h>

void setup(void)
{
  IoT_Init(true);
}

void loop(void)
{
  int analogIN = analogRead(IoT_Analog10bit);   // Liest Spannung als Rohwert: 0 = 0V bis 1023 = 1V-1LSB 
  double UMess = ((double)analogIN / 1024) * 10.0;  // Umrechnen in Volt mit analogIN/Auflösung (*1Volt), *10 wegen 10:1 Teiler am ADC
  String UMess_str = strrealform(UMess, 32, 1, 2, false, false); // Spannungswert in String umwandeln für OLED Ausgabe mit Anzeige von 2 Nachkommastellen
  
  Serial.print(UMess);
  Serial.print(" V\t  digitaler Rohwert: ");
  Serial.println(analogIN);
  
  IoT_DisplayClear(24);                                           // OLED Display löschen (24 Punkt Schrift)
  IoT_DisplayAlignText(TEXT_ALIGN_LEFT);
  IoT_DisplayDrawText(0, 0, "ADC 10 Bit:");
  IoT_DisplayAlignText(TEXT_ALIGN_RIGHT);
  IoT_DisplayDrawText(120, 32, UMess_str + " V");
  
  IoT_DisplayUpdate();                                              // OLED-Anzeige aktualisieren
  
  delay(1000);
}

